<!-- спочатку описуємо продукт кард. місце для даних однієї картки. 
    наприклад у темплейті: фото.назва.ціна.кнопка
 -->

<template>
    <div class="container"> 
        <img :src="productData.imgSrc" />

        <div>
            <div>{{ productData.title }}</div>
            <div class="action-section">
                <div :class="priceClass">{{ productData.price }}</div>
                <button @click="onClick">{{ buttonLabel }}</button>
            </div>
        </div>

    </div>
</template>
  
<script>
export default {
    name: 'ProductCard', //name for one card

    props: {
        productData: { //external data for a card
            type: Object,
            default: () => ({}),
        },
        isSelected: {
            type: Boolean,
            default: false,
        },
    },

    computed: { //automatic method for an action button. especially here it changes button label x or +
        buttonLabel() {
            return this.isSelected ? 'X' : '+'
        },

    },

    methods: { //internal methods for a card. especially for this card it selects or deselects
        onClick() {
            if (this.isSelected) this.$emit('deselect')
            else this.$emit('select')
        },
    },
}
</script>
  
<style lang="css" scoped>
.container {
    width: 100px;
    height: 200px;
    border: 2px solid orange;
    border-radius: 10px;
    padding: 10px;

    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin: 20px;
}

.container img {
    width: 100%;
}

.action-section {
    display: flex;
    justify-content: space-between;
    margin-top: 15px;
}
</style>